Name:           trojita
Version:        0.5
Release:        1%{?dist}
# Almost everything: dual-licensed under the GPLv2 or GPLv3
# (with KDE e.V. provision for relicensing)
# src/XtConnect: BSD
# src/Imap/Parser/3rdparty/kcodecs.*: LGPLv2
# Nokia imports: LGPLv2.1 or GPLv3
# src/Imap/Parser/3rdparty/rfccodecs.cpp: LGPLv2+
# src/qwwsmtpclient/: GPLv2
## note that LGPL 2.1 short name is LGPLv2 according to
## https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
License:        (GPLv2 or GPLv3) and BSD and LGPLv2 and (LGPLv2 or GPLv3) and LGPLv2+ and GPLv2
Summary:        Qt IMAP e-mail client
URL:            http://%{name}.flaska.net/
Source:         http://downloads.sf.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  qtwebkit-devel
BuildRequires:  ragel
BuildRequires:  doxygen graphviz
BuildRequires:  help2man

# needed for %%check
BuildRequires:  xorg-x11-server-Xvfb

# provide some icons
Requires:       hicolor-icon-theme


%global         X_display       ":98"
%global         _hardened_build 1


%description
Trojitá is a Qt IMAP e-mail client which:
  * Enables you to access your mail anytime, anywhere.
  * Does not slow you down. If we can improve the productivity of an e-mail
    user, we better do.
  * Respects open standards and facilitates modern technologies. We value
    the vendor-neutrality that IMAP provides and are committed to be as
    inter-operable as possible.
  * Is efficient — be it at conserving the network bandwidth, keeping memory
    use at a reasonable level or not hogging the system's CPU.
  * Can be used on many platforms. One UI is not enough for everyone, but our
    IMAP core works fine on anything from desktop computers to cell phones
    and big ERP systems.
  * Plays well with the rest of the ecosystem. We don't like reinventing wheels,
    but when the existing wheels quite don't fit the tracks, we're not afraid
    of making them work.


%package doc
BuildArch: noarch
Summary:   Documentation files for %{name}

%description doc
%{summary}.


%prep
%setup -q
# remove 'x-test' language
# https://bugs.kde.org/show_bug.cgi?id=332578
rm po/%{name}_common_x-test.po po/%{name}_common_nds.po
sed -i -e "/x-test/d" -e "/nds/d" src/Gui/%{name}.desktop


%build
# change path for the library
# https://bugs.kde.org/show_bug.cgi?id=332579
%cmake \
    -DBUILD_SHARED_LIBS:BOOL=OFF \
    -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir}/%{name} \
    -DCMAKE_INSTALL_RPATH=%{_libdir}/%{name}
make %{?_smp_mflags}
doxygen src/Doxyfile


%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
%find_lang %{name}_common --with-qt
# generate manpage
mkdir -p %{buildroot}%{_mandir}/man1
help2man -o %{buildroot}%{_mandir}/man1/%{name}.1 --no-info --no-discard-stderr -h-h --version-string=%{version} ./%{name}


%files -f %{name}_common.lang
%license LICENSE
%doc README
%{_mandir}/man1/%{name}.1*
%{_libdir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_bindir}/%{name}
%{_bindir}/be.contacts
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg


%files doc
%license LICENSE
%doc _doxygen/*


%check
export DISPLAY=%{X_display}
Xvfb %{X_display} &
trap "kill $! || true" EXIT
ctest --output-on-failure


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%changelog
* Sat Feb 28 2015 Raphael Groner <projects.rg (AT) smart.ms> - 0.5-1
- clean files section and R: hicolor-icon-theme
- introduce license macro
- use name macro generally
- new upstream version 0.5
- distribute doxygen files

* Mon Oct 27 2014 Karel Volný <kvolny@redhat.com> 0.4.1-3
- Added ragel build requirement

* Mon Apr 14 2014 Karel Volný <kvolny@redhat.com> 0.4.1-2
- Fixed icon handling and added comments as per the package review
- https://bugzilla.redhat.com/show_bug.cgi?id=1080411#c2

* Tue Mar 25 2014 Karel Volný <kvolny@redhat.com> 0.4.1-1
- Initial Fedora version based on upstream OBS package
